<template>
    <div class="l-hero l-container">
        <div class="l-hero__bg"></div>
        <div class="l-hero__blur"></div>
        <div class="l-hero__title-one">WELCOME TO TURRET</div>
        <div class="l-hero__title-two">NEXT GENERATION</div>
        <div class="l-hero__title-two">GAME ENGINE</div>
        <div class="l-hero__effects"></div>
    </div>
    <div class="l-hero__description l-container">
        <p>
            Unleash your creativity and bring your gaming vision to life with Turret, the cutting-edge game engine built for the future. Powered by an advanced Entity Component System and a high-performance multithreading system, Turret provides unparalleled efficiency and flexibility for game developers. Key Features: 
        </p>
    </div>
    <!-- <div class="l-image l-container">
        <img src="https://picsum.photos/500/753" alt="">
        <div class="l-effects"></div>
    </div> -->

    <div class="l-banner">
        TURRET
    </div>


    <div class="l-text-image l l-container">
        <div class="l-text-image__content">
            <div class="l-text-image__title">
                Entity Component
                <div class="l-text-image__title-colored">
                    System (ECS):
                </div>
            </div>
            <div class="l-text-image__text">
                <p>
                    Turret leverages the power of ECS architecture, allowing you to easily create complex game entities and systems. With a data-oriented design approach, you can efficiently manage and manipulate thousands of entities, achieving optimal performance without sacrificing flexibility. 
                </p>
            </div>
            <div class="l-text-image__buttons">
                <PrimaryButton>
                    Learn more
                </PrimaryButton>
            </div>
        </div>
        <div class="l-text-image__effects l-text-image__effects--purple"></div>
        <div class="l-text-image__image">
            <img src="https://placehold.jp/3d4070/ffffff/651x481.png?text=Placeholder Image" alt="">
        </div>
    </div>




    <div class="l-text-image l-text-image--reverse l-container">
        <div class="l-text-image__content">
            <div class="l-text-image__title">
                High-Performance
                <div class="l-text-image__title-colored">
                    Multithreading:
                </div>
            </div>
            <div class="l-text-image__text">
                <p>
                    Maximize the utilization of modern hardware with Turret's robust multithreading system. Harness the power of parallel processing and distribute tasks across multiple cores, ensuring smooth gameplay experiences and lightning-fast performance.
                </p>
            </div>
            <div class="l-text-image__buttons">
                <PrimaryButton>
                    Learn more
                </PrimaryButton>
            </div>
        </div>
        <div class="l-text-image__effects l-text-image__effects--gray"></div>
        <div class="l-text-image__image">
            <img src="https://placehold.jp/3d4070/ffffff/651x481.png?text=Placeholder Image" alt="">
        </div>
    </div>




    <div class="l-text-image l-container">
        <div class="l-text-image__content">
            <div class="l-text-image__title">
                Vulkan
                <div class="l-text-image__title-colored">
                    Rendering:
                </div>
            </div>
            <div class="l-text-image__text">
                <p>
                    ExperiAence stunning visuals and realistic graphics with Turret's efficient Vulkan rendering pipeline. Utilizing the latest Vulkan graphics API, Turret enables high-performance rendering on a wide range of platforms, delivering immersive and visually captivating gaming experiences. 
                </p>
            </div>
            <div class="l-text-image__buttons">
                <PrimaryButton>
                    Learn more
                </PrimaryButton>
            </div>
        </div>
        <div class="l-text-image__effects"></div>
        <div class="l-text-image__image">
            <img src="https://placehold.jp/3d4070/ffffff/651x481.png?text=Placeholder Image" alt="">
        </div>
    </div>




    <div class="l-info l-container">
        <div class="l-info__effects"></div>
        <div class="l-info__title">
            Built with .NET 8<br>
            <span>and c# 12</span>
        </div>
        <div class="l-info__description">
            Turret embraces the latest advancements in the .NET ecosystem, leveraging the power of .NET 8 and taking full advantage of the cutting-edge features in C# 12. Develop games with modern language constructs, enhanced performance optimizations, and a robust development environment. 
        </div>
        <!-- <div class="l-info__image">
            <img src="https://placehold.jp/3d4070/ffffff/920x654.png?text=Placeholder Image" alt="">
        </div> -->
    </div>



    <div class="l-integration">
        <div class="l-integration__effects"></div>
        <div class="l-integration__banner l-container">
            <div class="l-integration__banner-title">
            Easy integration &
            <span>Extensibility</span>
            </div>
            <div class="l-integration__banner-text">
                Integrate Turret seamlessly into your existing game development workflow. With comprehensive documentation, intuitive APIs, and a supportive community, Turret empowers developers of all levels to create amazing games. Extend the engine's capabilities through custom components, systems, and plugins to tailor Turret to your unique game development needs
            </div>
        </div>

    </div>





    <div class="l-footer">
        <div class="l-footer__content l-container">
            <!-- <img src="" alt=""> -->
            <h1>TURRET</h1>
            <div class="l-footer__item">
                <div class="l-footer__title">
                    Address
                </div>
                <div class="l-footer__info">
                    2435 lake Forest Drive,
                    New York.
                </div>
            </div>
            <div class="l-footer__item">
                <div class="l-footer__title">
                    Contacts
                </div>
                <div class="l-footer__info">
                    (29941) 4912499
                </div>
            </div>
            <div class="l-footer__item">
                <div class="l-footer__title">
                    Social Media
                </div>
                <div class="l-footer__info">
                    <ul class="l-footer__social-list">
                        <li>
                            X
                        </li>
                        <li>
                            Discord
                        </li>
                        <li>
                            Telegram
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>



</template>